Skip to main content
DELETE
/
1
/
agents
/
{agent_id}
/
allowed-domains
/
bulk
Bulk Delete Allowed Domains
curl --request DELETE \
  --url https://{APPLICATION_ID}.algolia.net/agent-studio/1/agents/{agent_id}/allowed-domains/bulk \
  --header 'Content-Type: application/json' \
  --header 'X-Algolia-API-Key: <x-algolia-api-key>' \
  --header 'X-Algolia-Application-Id: <x-algolia-application-id>' \
  --data '
{
  "domainIds": [
    "<string>"
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
Required ACL: editSettings

Headers

X-Algolia-API-Key
string
required
X-Algolia-Application-Id
string
required

Path Parameters

agent_id
string<uuid>
required

Body

application/json

Request body for bulk delete by IDs.

domainIds
string[]
required

IDs of allowed domain records to delete

Response

Successful Response

Last modified on April 24, 2026